Bug 502226 - [blocked] Improper provides/requires in openoffice.org-core
Summary: [blocked] Improper provides/requires in openoffice.org-core
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
(Show other bugs)
Version: 14
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-22 16:22 UTC by Orion Poplawski
Modified: 2011-06-17 15:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-17 15:00:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Orion Poplawski 2009-05-22 16:22:09 UTC
Description of problem:

openoffice.org-core should not list in provides and requires the libraries it ships in private OOo only directories:


[orion@orca ~]$ rpm -q --provides openoffice.org-core | grep '\.so *$' | sed 's/ //g' > /tmp/ooprovides                                                                                             
[orion@orca ~]$ rpm -ql openoffice.org-core | grep -f /tmp/ooprovides /usr/lib/openoffice.org/basis3.0/program/basprovli.uno.so             
/usr/lib/openoffice.org/basis3.0/program/behelper.uno.so              
/usr/lib/openoffice.org/basis3.0/program/cairocanvas.uno.so           
/usr/lib/openoffice.org/basis3.0/program/canvasfactory.uno.so         
.....

many more truncated.

While the uno ones listed above may not appear elsewhere, things like:

libmysql2.so                                                          
libodbc2.so                                                           
libodbcbase2.so                                                       

might conflict with other libraries.

Version-Release number of selected component (if applicable):
openoffice.org-core-3.0.1-15.4.fc10.i386

Comment 1 Caolan McNamara 2009-05-22 19:38:11 UTC
Would have to turn off/filter the automatic rpm .so provides/requires, and then manually add-in and maintain requires to ensure dependencies are always correct. 

Then manually add requires to all extensions, (or not filter the ure ones). Which is all a lot of work, especially as there's no proper rpmbuild --short-circuit to zoom straight to packaging to quickly re-make packages from a .spec, with fairly limited benefit. Do we have packaging guidelines that cover this situation already ? Rather than go off on a solo-run, I'd prefer if there was a set of overall rules.

Much better (hand-waving) would be to have the autoprovides/autorequires magic itself e.g. consider the full-path for the provides and parse ORIGIN and friends for the requires.

Either way, definitely not going to happen in a F-10 or F-11 update, to I'll change to rawhide on this.

Comment 2 Bug Zapper 2009-06-09 16:22:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-11-16 10:00:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Caolan McNamara 2010-01-27 20:36:54 UTC
BetterRpmAutoReqProvFiltering: Targeted release:  Fedora 13

Comment 6 Bug Zapper 2010-03-15 12:37:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-07-30 10:40:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Caolan McNamara 2011-06-17 15:00:06 UTC
going to be honest here, I'm never going to get the time to grovel through the list and make custom lists for what should be in or out for provides/requires


Note You need to log in before you can comment on or make changes to this bug.